Difference between revisions of "DevkitPPC.sh"

m (Fixed infobox)
 
(16 intermediate revisions by 2 users not shown)
Line 1: Line 1:
 
{{Infobox development tools
 
{{Infobox development tools
| title      = devkitPPC Setup Script
+
| title      = Wii Development Environment Set-Up Script
 
| author      = Vithon
 
| author      = Vithon
| version    = 3.0
+
| version    = 3.6
| licence    = GPL3
+
| licence    = MIT/X11
| download    = http://github.com/Vithon/devkitppcsh/tree/master
+
| download    = http://github.com/Vithon/devkitppcsh/archives/master
 
| source      = http://github.com/Vithon/devkitppcsh/tree/master
 
| source      = http://github.com/Vithon/devkitppcsh/tree/master
 
}}
 
}}
  
It's uhm... a devkitPPC/libogc setup script for Linux.
+
== Description ==
So you don't have to! Yay!
 
  
== Changelog ==
+
It's a devkitPPC/libogc/libfat setup script for Linux.
  
=== 3.0 ===
+
== Usage ==
* Another rewrite. Looks nicer.
 
* Updated out-of-date configuration.
 
  
=== 2.0 ===
+
Just call the script. There are no arguments.The script should run in any Bourne compatible shell.
* Decided it's time for a version bump.
+
== Configuration ==
  
(dj13241's note) The version config stuff in the script is out dated ... change config section to
+
Configuration is done by directly editing the script. There is a nicely marked configuration section at the top of the script.
# Configuration.
+
You can change:
DEVKITVER="r20" # Version of devkitPPC to download.
+
* Version of devkitPPC to download.
OGCVER="1.8.2" # Version of libogc to download.
+
* Version of libogc to download.
FATVER="1.0.7" # Version of libfat to download.
+
* Version of libfat to download.
INSDIR="$HOME/devkitPro" # Root directory to install to.
+
* Directory to install to.
# End of configuration.
 
  
=== 1.9-CLI ===
+
You shouldn't change the first three except to update the versions that the script downloads. Older versions of the tarballs downloaded are stored in a different directory than that of the newest version, so you'll need to account for that if downloading older versions.
* Itsy bitsy fixes
 
  
=== 1.9.1-GUI ===
+
Since older versions are stored in different directories of SourceForge's server, if this script suddenly stops working, it's probably because the devkitPro software has been upgraded, and you'll need to update the versions in the script so it will download them correctly.
* Fixes
 
  
=== 1.9-GUI ===
+
== Changelog ==
* Added GUI script (Using Zenity)
 
  
=== NOTE ===
+
3.3 - 3.6
* Changelogs below this are only CLI. The GUI is based off the CLI.
+
* More cleanups.
  
=== 1.8 ===
+
3.2
* Minor fixes
+
* Small cleanup.
 +
* MIT license.
  
=== 1.7 ===
+
3.1
* Minor fixes
+
* I did some stupid stuff. Now it's less stupid.
* Easter egg (with no eggs)
 
  
=== 1.61 ===
+
3.0
* Removed an extra "fi" that would've made the script not work
+
* Another rewrite. Looks nicer.
 +
* No longer have to be using /bin/bash as shell. Now uses whatever /bin/sh points to.
 +
* Updated out-of-date configuration.
 +
* Removed stupid GUI Zenity idea (I did this a while ago. Never put it here, though.).
  
=== 1.6 ===
+
2.0
* Allows different versions. (See readme)
+
* Decided it's time for a version bump.
 
 
=== 1.5 ===
 
* 64-bit support
 
* Downloads libfat
 
* Optionally downloads Wii Examples and GameCube Examples
 
* Various Code Fixes
 
  
=== 1.0 - 1.4 ===
+
1.0 - 1.9*
* Lost, you expect me to keep these? =P
+
* Me dicking around.
  
[[Category:Software]]
+
[[Category:Development]]
 +
[[Category:PC utilities]]

Latest revision as of 21:25, 22 March 2021

Wii Development Environment Set-Up Script
General
Author(s)Vithon
Version3.6
LicenceMIT/X11
Links
Download
Source

Description

It's a devkitPPC/libogc/libfat setup script for Linux.

Usage

Just call the script. There are no arguments.The script should run in any Bourne compatible shell.

Configuration

Configuration is done by directly editing the script. There is a nicely marked configuration section at the top of the script. You can change:

  • Version of devkitPPC to download.
  • Version of libogc to download.
  • Version of libfat to download.
  • Directory to install to.

You shouldn't change the first three except to update the versions that the script downloads. Older versions of the tarballs downloaded are stored in a different directory than that of the newest version, so you'll need to account for that if downloading older versions.

Since older versions are stored in different directories of SourceForge's server, if this script suddenly stops working, it's probably because the devkitPro software has been upgraded, and you'll need to update the versions in the script so it will download them correctly.

Changelog

3.3 - 3.6

  • More cleanups.

3.2

  • Small cleanup.
  • MIT license.

3.1

  • I did some stupid stuff. Now it's less stupid.

3.0

  • Another rewrite. Looks nicer.
  • No longer have to be using /bin/bash as shell. Now uses whatever /bin/sh points to.
  • Updated out-of-date configuration.
  • Removed stupid GUI Zenity idea (I did this a while ago. Never put it here, though.).

2.0

  • Decided it's time for a version bump.

1.0 - 1.9*

  • Me dicking around.